import { Directive, ElementRef, Input } from '@angular/core';
import { BsNavbarComponent } from '../navbar/navbar.component';
import * as i0 from "@angular/core";
export class NavbarContentDirective {
    constructor(element) {
        this.element = element;
        this.initialPadding = 0;
        this.resizeObserver = new ResizeObserver((entries) => {
            let height = entries[0].contentRect.height;
            this.element.nativeElement.style.paddingTop = (this.initialPadding + height) + 'px';
        });
    }
    ngAfterViewInit() {
        let p = parseInt(this.element.nativeElement.style.paddingTop.replace(/px$/, ''));
        this.initialPadding = isNaN(p) ? 0 : p;
        this.resizeObserver.observe(this.navbar.nav.nativeElement);
    }
    ngOnDestroy() {
        this.resizeObserver.unobserve(this.navbar.nav.nativeElement);
    }
}
NavbarContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: NavbarContentDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
NavbarContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.0", type: NavbarContentDirective, selector: "[navbarContent]", inputs: { navbar: ["navbarContent", "navbar"] }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.0", ngImport: i0, type: NavbarContentDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[navbarContent]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { navbar: [{
                type: Input,
                args: ['navbarContent']
            }] } });
//# sourceMappingURL=navbar-content.directive.js.map